#pragma once
#include "cbarcodedriver.h"
class CBarcodeDriverInfoScan :
	public CBarCodeDriver
{
public:
	CBarcodeDriverInfoScan(const QString& name,int32_t id);
	virtual ~CBarcodeDriverInfoScan(void);

	virtual void GetBarCode(int iCHID);

	bool CheckResponse(char *pResponse);


	virtual int ReadConfig(QDomElement &root);


	virtual int32_t init_driver();


	virtual int32_t exit_driver();

};

